// DlgPenRegisterModify.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgPenRegisterModify.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPenRegisterModify _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

CFCDlgPenRegisterModify::CFCDlgPenRegisterModify (CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgPenRegisterModify::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgPenRegisterModify)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT
} // CFCDlgPenRegisterModify::CFCDlgPenRegisterModify.

void CFCDlgPenRegisterModify::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgPenRegisterModify)
	DDX_Control(pDX, IDC_RPM_EDT_PEN_REGISTER_NAME, m_edtPenRegisterName);
	DDX_Control(pDX, IDC_RPM_STL_WEIGH_SAMPLE, m_stlPenWeightSample);
	DDX_Control(pDX, IDC_RPM_STL_PEN_SAMPLE, m_stlPenSample);
	DDX_Control(pDX, IDC_RPM_CBB_PEN_BACK_S_COLOR, m_cbbPenBackSColor);
	DDX_Control(pDX, IDC_RPM_CBB_PEN_WEIGHT, m_cbbPenWeight);
	DDX_Control(pDX, IDC_RPM_CBB_PEN_STYLE, m_cbbPenStyle);
	//}}AFX_DATA_MAP
} // CFCDlgPenRegisterModify::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgPenRegisterModify, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgPenRegisterModify)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_RPM_BTN_PEN_BACK_S_COLOR, OnRpmBtnPenBackSColor)
	ON_EN_CHANGE(IDC_RPM_EDT_PEN_REGISTER_NAME, OnChangeRpmEdtPenRegisterName)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_EDITCHANGE, IDC_RPM_CBB_PEN_WEIGHT, OnEditchangeRpmCbbPenWeight)
	ON_CONTROL(CBBN_CLOSEUP, IDC_RPM_CBB_PEN_WEIGHT, OnCloseupRpmCbbPenWeight)
	ON_CONTROL(CBBN_SELCHANGE, IDC_RPM_CBB_PEN_WEIGHT, OnSelchangeRpmCbbPenWeight)
	ON_CONTROL(CBBN_SELCHANGE, IDC_RPM_CBB_PEN_STYLE, OnSelchangeRpmCbbPenStyle)
	ON_CONTROL(CBBN_SELCHANGE, IDC_RPM_CBB_PEN_BACK_S_COLOR, OnSelchangeRpmCbbPenBackSColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPenRegisterModify _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_
